#
# Cookbook:: instus-yum
# Spec:: default
#
# Copyright:: 2019, Instus
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'spec_helper'

describe 'instus-yum::default' do
  context 'When all attributes are default, on CentOS 7' do
    platform 'centos', '7'

    it 'converges successfully' do
      expect { chef_run }.to_not raise_error
    end

    it 'includes the `install` recipe' do
      expect(chef_run).to include_recipe('instus-yum::install')
    end
  end
end
